import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:formio_flutter/formio_flutter_web.dart';

void main() {
  const MethodChannel channel = MethodChannel('formio_flutter');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    final result = await FormioFlutterWeb().getPlatformVersion();
    expect(result, '42');
  });
}
